#include <iostream>
#include <string>
using namespace std;
int main(){
    int n,k=0,i=0;
    cin>>n;
    string a;
    cin>>a;
    while(i<n){
        if(int(a[i])-65<k-1){
            a.erase(i,1);
            n--;
            i--;
        }
        else{
            if(int(a[i])-65==k)
                k++;
        }
        i++;
    }
    if(k!=26){
        cout<<0;
    }
    else{
        int m[26]={0};
        for(int i=0;i<n;i++)
            m[int(a[i])-65]++;
        int s=1;
        for(int i=0;i<26;i++){
                s*=m[i];
                s%=1000000007;
        }
        cout<<s;
    }
}